% !TeX root = ./Style-Transfer-2020-Casado-Gatri-Gimenez.tex
% \documentclass[12pt,draft]{src/stem-report}
\documentclass[12pt]{src/stem-report}

%% Import additional packages and header definitions
% For the LaTex newbies, \input let's you introduce a .tex file as if it were
% part of the current file
\input{src/packages}


%% Macros and colour definitions.
\input{src/macros.tex}
\input{src/colors.tex}
\usepackage[multidot]{grffile}
\graphicspath{{./}{./experiments/}}


% *****************************************************************************
%                     Report configuration: Tweak this
% *****************************************************************************
%% Developer and debug options
% \overfullrule=5pt % Un-comment this to show a black bar by overfull hboxes.

%% Title parameters
\title{Style Transfer}
\author{
  Casado Herraez, Daniel \\
  \textit{a904819@alumni.unav.es} \\
  \And
  Gatri, Wathek \\
  \textit{wathek.gatri@gmail.com} \\
  \And
  Gimenez Bolinches, Andreu \\
  \textit{esdandreu@gmail.com} \\
}
\date{\today}
\IfFileExists{./abstract.tex}{
  \abstract{\input{abstract.tex}}
}

\def\tutorialref{\href{https://colab.research.google.com/github/tensorflow/models/blob/master/research/nst_blogpost/4_Neural_Style_Transfer_with_Eager_Execution.ipynb}{Neural
Style Transfer with tensorflow}}

\begin{document}
  % ***************************************************************************
  %                              Front Page
  % ***************************************************************************
  \hypersetup{linkcolor=black}

  %% Build title 
  \maketitle
  \clearpage
  
  \tableofcontents
  \clearpage

  % \listoffigures

  % \listoftables

  % \clearpage

  % ***************************************************************************
  %                              Main Content
  % ***************************************************************************
  \hypersetup{linkcolor=documentLinkColor}
  \input{content.tex}

  % ***************************************************************************
  %                              Appendices
  % ***************************************************************************
  \IfFileExists{./appendices.tex}{
    \section{Appendices}
    \appendix
    \input{appendices.tex}
    \unappendix
    \clearpage
  }

  % ***************************************************************************
  %                              Bibliography
  % ***************************************************************************
  \singlespace
  % Be careful with reference files list, always avoid whitespaces!
  \bibliography{bibliography/references}

\end{document}